Subject: Patch for Seagate SCSI timeouts
From: [email-masked] (Ian Jackson)
Date: 25 Mar 1993 16:39:22 GMT
Newsgroups: comp.os.linux.announce

-----BEGIN PGP SIGNED MESSAGE-----

The enclosed patch to seagate.c will fix some if not all the problems
people with Seagate SCSI controllers have been having with timeouts.

More explanation of this can be found in comp.os.linux. NB I don't
have a Seagate and can't test this patch. It will work though.

Ian.

PS I haven't PGP-clearsigned the patch as that would make it unusable
for those without PGP. You should be able to see that it's correct,
but if not I'll email you a signed version.

*** linux/kernel/blk_drv/scsi/seagate.c~	Sat Mar 13 10:12:02 1993
--- linux/kernel/blk_drv/scsi/seagate.c	Wed Mar 24 21:02:22 1993
***************
*** 64,72 ****
  static unsigned char controller_type;	/* set to SEAGATE for ST0x boards or FD for TMC-88x boards */
  			
  #define retcode(result) (((result) << 16) | (message << 8) | status) 			
! #define STATUS (*(unsigned char *) st0x_cr_sr)
  #define CONTROL STATUS 
! #define DATA (*(unsigned char *) st0x_dr)
  
  #ifndef OVERRIDE		
  static const char *  seagate_bases[] = {(char *) 0xc8000, (char *) 0xca000, (char *) 0xcc000, (char *) 0xce000, (char *) 0xce000,
--- 64,72 ----
  static unsigned char controller_type;	/* set to SEAGATE for ST0x boards or FD for TMC-88x boards */
  			
  #define retcode(result) (((result) << 16) | (message << 8) | status) 			
! #define STATUS (*(volatile unsigned char *) st0x_cr_sr)
  #define CONTROL STATUS 
! #define DATA (*(volatile unsigned char *) st0x_dr)
  
  #ifndef OVERRIDE		
  static const char *  seagate_bases[] = {(char *) 0xc8000, (char *) 0xca000, (char *) 0xcc000, (char *) 0xce000, (char *) 0xce000,

--
Ian Jackson  <[email-masked]> (non urgent email only - see below)
home: 35 Molewood Close, Cambridge, CB4 3SR, England; phone: +44 223 327029
work & urgent email: <[email-masked]> Olivetti Research Ltd; +44 223 343398
PGP2 public key on request; fingerprint = 5906F687 BD03ACAD 0D8E602E FCF37657

-- 
Send submissions for comp.os.linux.announce to: [email-masked]